CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2017-5548

drivers/net/ieee802154/atusb.c in the Linux kernel 4.9.x before 4.9.6 interacts incorrectly with the CONFIG_VMAP_STACK option, which allows local users to cause a denial of service (system crash or memory corruption) or possibly have unspecified other impact by leveraging use of more than one virtual page for a DMA scatterlist.
Publish Date : 2017-02-06 Last Update Date : 2017-02-08
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.2
Confidentiality Impact Complete (There is total information disclosure, resulting in all system files being revealed.)
Integrity Impact Complete (There is a total compromise of system integrity. There is a complete loss of system protection, resulting in the entire system being compromised.)
Availability Impact Complete (There is a total shutdown of the affected resource. The attacker can render the resource completely unavailable.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of ServiceMemory corruption
CWE ID 399

- Products Affected By CVE-2017-5548

# Product Type Vendor Product Version Update Edition Language
1 OS Linux Linux Kernel 4.9 Version Details Vulnerabilities
2 OS Linux Linux Kernel 4.9.1 Version Details Vulnerabilities
3 OS Linux Linux Kernel 4.9.2 Version Details Vulnerabilities
4 OS Linux Linux Kernel 4.9.3 Version Details Vulnerabilities
5 OS Linux Linux Kernel 4.9.4 Version Details Vulnerabilities
6 OS Linux Linux Kernel 4.9.5 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Linux Linux Kernel 6

- References For CVE-2017-5548

http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=05a974efa4bdf6e2a150e3f27dc6fcf0a9ad5655 CONFIRM
https://github.com/torvalds/linux/commit/05a974efa4bdf6e2a150e3f27dc6fcf0a9ad5655 CONFIRM
http://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.6 CONFIRM
http://www.openwall.com/lists/oss-security/2017/01/21/3
MLIST [oss-security] 20170120 Re: CVE REQUEST: linux kernel: process with pgid zero able to crash kernel
http://www.securityfocus.com/bid/95710
BID 95710 Linux Kernel CVE-2017-5548 Local Denial of Service Vulnerability Release Date:2017-01-26
https://bugzilla.redhat.com/show_bug.cgi?id=1416110 CONFIRM

- Metasploit Modules Related To CVE-2017-5548

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.